# MOST\_COMMON\_ACCOUNTS\_INSTRUCTION

## Overview

*This method returns the most common accounts based on the given accountName and an optional robust filter object. There are many types of filters you can apply and you can find information regarding those in the* [*Filters*](/carpool/api-reference/filters.md) *section of the docs.*

{% openapi src="/files/I18cBTvGQBPvWK5ey8lg" path="/query/solana" method="post" %}
[Carpool\_dev-MOST\_COMMON\_ACCOUNTS\_INSTRUCTION-0.1-resolved.json](https://2513171703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FE1gzfwcjB542lI2VR9XI%2Fuploads%2FVZ0kKyTOzQbUcxRKUBDD%2FCarpool_dev-MOST_COMMON_ACCOUNTS_INSTRUCTION-0.1-resolved.json?alt=media\&token=1d64edda-657b-4730-8dbb-78f84427397c)
{% endopenapi %}

## Filters

As mentioned above, the api definition here implements an optional filter object. All queries that accept a filter object in the POST body can make use of **any** of the potential filters. Please see the Instruction Filters section of the documentation to better understand how they are implemented for instruction queries.

{% content-ref url="/pages/uYgjTokygYFjAlLVuwUH" %}
[Instruction Filters](/carpool/api-reference/filters/instruction-filters.md)
{% endcontent-ref %}

## Example - Basic

**Program** - *Cypher Protocol*

**Description** *- Return the most common accounts that fall under the OrdersAccount type.*

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "MOST_COMMON_ACCOUNTS_INSTRUCTION",
  "query": {
      "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
      "accountName": "authority"
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "MOST_COMMON_ACCOUNTS_INSTRUCTION",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "accountName": "OrdersAccount"
    }
}'
```

## Example - Advanced

**Program** - *Cypher Protocol*

**Description** *- Return the 10 most common accounts that fall under the OrdersAccount type. Filter for instructions where only the specified account has a valid lamport balance above 0 and only look in the given time range.*&#x20;

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "MOST_COMMON_ACCOUNTS_INSTRUCTION",
  "query": {
    "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
    "accountName": "OrdersAccount",
    "limit": "10",
    "filter": {
      "type": "INSTRUCTION_BALANCES",
      "accountPubKey": "7gvjJwQVQFLM2akuL2hdvkExTXQA7VN921fdXu4g29mk",
      "delta": {
        "gte": 0
      }
    },
    "timeRange": {
      "before": "2023-07-12T22:53:09+0000",
      "after": "2023-07-11T22:53:09+0000"
    }
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "MOST_COMMON_ACCOUNTS_INSTRUCTION",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "accountName": "OrdersAccount",
        "limit": "10",
        "filter": {
            "type": "INSTRUCTION_BALANCES",
            "accountPubKey": "7gvjJwQVQFLM2akuL2hdvkExTXQA7VN921fdXu4g29mk",
            "delta": {
                "gte": 0
            }
        },
        "timeRange": {
            "before": "2023-07-12T22:53:09+0000",
            "after": "2023-07-11T22:53:09+0000"
        }
    }
}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://carpool.gitbook.io/carpool/api-reference/instructions/most_common_accounts_instruction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
